Brand new 6.0.0-12U 2DS, need help.

Discussion in '3DS - Flashcards & Custom Firmwares' started by ChrisPinsonzZV, Dec 18, 2015.

  1. ChrisPinsonzZV
    OP

    ChrisPinsonzZV Newbie

    Newcomer
    1
    0
    Dec 18, 2015
    United States
    Hello I just bought a 2ds a few hours ago and saw it was on 6.0.0-12U firmware I have no flashcard at all, also picked up triforce heroes & it wants me to update to 9.9 should I? Or is there more hacking options I can do on the current firmware? Mainly wish to download my NNID games from the eshop without updating and mess with the save files on sava data manager from the homebrew launcher.
     
  2. Xenon Hacks

    Xenon Hacks GBAtemp Guru

    Member
    7,072
    3,386
    Nov 13, 2014
    United States
    Last edited by Xenon Hacks, Dec 18, 2015
    wormdood, Tony_93 and LameNobody like this.
  3. reiyu

    reiyu Canadian, eh?

    Member
    861
    187
    Jan 8, 2008
    Canada
    just a friendly tip from a fellow 6.0 owner, after you update your emunand to 10.3, rxTools might seem like it's not booting anymore. fret not, just interrupt the boot by holding L going into the rxTools menu, and select emunand manually. this is an issue with rxTools 3.x on 2DSes on firmware 10.3.

    full issue description here: https://github.com/roxas75/rxTools/issues/316
     
    Last edited by reiyu, Dec 18, 2015
    SomeGamer likes this.
  4. Tony_93

    Tony_93 GBAtemp Addict

    Member
    2,198
    1,004
    Jun 13, 2015
    United States
    California
    Why don't you just move on to 9.2?
     
  5. MelonGx

    MelonGx GBAtemp Advanced Maniac

    Member
    1,634
    439
    Jan 8, 2009
    China
    rxTools preparation
    1) Generate firm directory with cdn_firm.py.
    2) Copy firm directory inside rxTools folder.

    Main steps
    1) Copy rxTools folder & rxinstaller.bin to SD root.
    2) Use Browser to visit http://dukesrg.github.io/?rxinstaller.bin, wait for the browser crash.
    3) After the browser crashed, go DS profile launching.

    1) If they don't know how to use Sysupdater properly, they'll brick their consoles.
    2) Install MSET via Browser doesn't require buying anything.
     
    Last edited by MelonGx, Dec 19, 2015
  6. Tony_93

    Tony_93 GBAtemp Addict

    Member
    2,198
    1,004
    Jun 13, 2015
    United States
    California
    1)It is a simple 4 steps procedure, install sysupdater in sysnand > place the updates in your SD > boot Dev Mode > open sysupdater... I can't see how someone with a functional brain couldn't follow those 4 simple steps.

    2)Neither Menuhax does, people can use Browserhax (which is free) to install Menuhax (which is also free). I don't see where do you need to spend a dime here...
     
    MelonGx likes this.
  7. reiyu

    reiyu Canadian, eh?

    Member
    861
    187
    Jan 8, 2008
    Canada
    the issue is actually with the emunand, not sysnand. even if my sysnand is 9.2, it won't make a difference.

    1) i have smash with 9.2, i don't need to use sysupdater
    2) menuhax sucks, i used it on my o3DS XL and the failure rate is higher than of MSET. reverted back to mset and launched 100% without a hitch using the latest nightly.
     
  8. piratesephiroth

    piratesephiroth I wish I could read

    Member
    3,009
    1,620
    Sep 5, 2013
    Brazil
    No way. Use it with BootCtr. Works 100% of the time for me.
     
    Tony_93 likes this.
  9. wormdood

    wormdood pirate booty inspector

    Member
    3,571
    1,521
    Jan 3, 2014
    United States
    behind a parental advisory sticker
    1. tony is correct updating your sysnand will help
    the problem is with the major inconsistencys between 6.0 and 10.3
    i have a 2ds on 9.0 with emunand 10.3 and never get/had said problem except before i updated it from 6.0.0.12U

    2. you can use that game to update but it is not advised as gamecard updates often contain stub files . . . stubs just make things harder and more complex or even impossible
    3. god damn i am confused here dude menuhax works fine (btw menuhax was written for 9.0 or higher you know themes and all . . . if you are on 2ds 6.0 then it would not work . . . and if you previously were on 9.0/9.2 then . . . you have hard modded your 2ds for no real reason)
    with the 9-28 rxtools build from this link RxTools Nightlies by @WhoAmI? and menuhax i have a birth controol bootrate . . . 99.99% accurate . . . lol
     
    Tony_93 likes this.
  10. MelonGx

    MelonGx GBAtemp Advanced Maniac

    Member
    1,634
    439
    Jan 8, 2009
    China
    Menuhax 1.X sucks on O3DS.
    But 2.0 fixed the stability.
     
  11. piratesephiroth

    piratesephiroth I wish I could read

    Member
    3,009
    1,620
    Sep 5, 2013
    Brazil
    I'm still using 1.x on my O3DS and it works perfectly with BootCtr.
     
  12. MelonGx

    MelonGx GBAtemp Advanced Maniac

    Member
    1,634
    439
    Jan 8, 2009
    China
    Then maybe it depends on region.
    I have 4 O3DS 9.2.0-20 JPNs.
    All of them have 60%+ failure.
     
  13. reiyu

    reiyu Canadian, eh?

    Member
    861
    187
    Jan 8, 2008
    Canada
    1. huh, is this issue only on the 2DS? cuz i have an o3DS on 4.5 (regular) and 9.0 (XL), and both of them boot fine.
    2. stub files? what bad stuff does that do? i'm actually more scared to update using sysupdater than a cart.
    3. i did mention that i used menuhax on my o3DS, which is my 9.0 XL. also i'm using the latest nightly on all. only MSET works properly, which doesn't really bother me.
     
  14. wormdood

    wormdood pirate booty inspector

    Member
    3,571
    1,521
    Jan 3, 2014
    United States
    behind a parental advisory sticker
    1. then you missed this response you got in the github link you provided from a 6.0 user on a o3dsxl as i said

    Excelsis27 commented 5 days ago
    Having more or less the same issue, except on an o3DS XL. Unlinked/sys6.2/emu10.3 latest nightly (and a few other builds I've tried). I've seen it boot a few times, but I'd say percentage of succesful boot is easily under 15%. Manually booting is fine though, just autoboot.


    not 4.5 but 6.0
    2. most notably you can end up with a partial (stub) browser from the latest fw and as such no longer have access to browser hacks . . . can be solved with a legit cia of the proper browser for your region and fw version assuming you have access to a cia installer still
    3. ok i see i got the wrong ds in this one "my bad" but my response is still the same
    but if you are fine with your mset then . . . enjoy :mthr: